
; ** Hardware Definitionen **;
; i do not use .export, if the code uses chips, 
; it must #include <kernel/hardware.inc>

#ifndef C64_INC
#define C64_INC

;**** Memory Management ****
pla.ddr=0
pla.dr=1

pla.LORAM  =%00000001
pla.HIRAM  =%00000010
pla.CHAREN =%00000100

pla.DEFAULT    =%00110111
pla.ddr.DEFAULT=%00101111

pla.RAMIO  =%00110101
pla.KERNEL =%00110110
pla.ALLRAM =%00110100


;**** IRQ Vectoren ****;

irq = $fffe;	
nmi = $fffa;

;***** CHIPS ****;

#ifdef NO_DNC

 vic =$D000
 sid =$D400
 cia1=$DC00
 cia2=$DD00

#else
 vic =%110100????000000 ;d000,d040,d080,d0c0,d100..d3c0
 cia1=%11011100????0000 ;dc00,dc10,dc20,..dcf0
 cia2=%11011101????0000 ;dd00,dd10..ddf0

;       D   4   0   0        
;      /  \/  \/  \/  \
;      7654321076543210
;      1101010000000000 ;d400 
 sid =%110101?????00000 ;d400,d420..d7e0
;      1101011111100000 ;d7e0
;       D   7   E   0       
;      /  \/  \/  \/  \
;      7654321076543210
#endif

 colorram=$d800
 io1=$de00
 io2=$df00

#include <kernel/vic.inc>

#define SID() sid
#include <kernel/sid.inc>

mouse.x=sid.potx
mouse.y=sid.poty

#define CIA() cia1
#include <kernel/cia.inc>
#undef CIA
#define CIA() cia2
#include <kernel/cia.inc>

#endif
